Bug 835047 - Update nagios to 3.4.1
Update nagios to 3.4.1
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios (Show other bugs)
el6
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 06:46 EDT by Nico Kadel-Garcia
Modified: 2012-07-19 18:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 16:49:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nico Kadel-Garcia 2012-06-25 06:46:52 EDT
Description of problem:
    Current release of Nagios is 3.4.1, EPEL release is 3.3.1

Version-Release number of selected component (if applicable):
    3.3.1

How reproducible:
    rpm -q nagios


Additional info:
    The update to nagios 3.4.1 is trivial: simply update the version in nagios.spec and grab the new tarball. The Changes file lists some bugfixes and some security refinements, such as allowing the selection of user access to only one hostgroup instead of all hostgroups.
Comment 1 Jose Pedro Oliveira 2012-06-25 11:22:41 EDT
(In reply to comment #0)
> ...
> Additional info:
>     The update to nagios 3.4.1 is trivial: simply update the version in
> nagios.spec and grab the new tarball.
> ...

The Fedora update won't be trivial as we need to convert the init file to a systemd service file: we will probably need to ship both so that systemd can invoke the init for non standard commands (hint: see the current iptables setup) and also look into bug #782514.

Also, we have to look into the patches available in the following blog entry: http://www.rebee.clara.net/blog/archives/2012/05/entry_198.html.

/jpo
Comment 2 Jose Pedro Oliveira 2012-06-25 15:12:53 EDT
First update for rawhide [1]:

 * nagios-3.4.1-1.fc18
   http://koji.fedoraproject.org/koji/buildinfo?buildID=327518

Notes:
 * The above release contains only minor changes:
   - the patch nagios-0012-Fixed-html-rss-install-files.patch has been dropped
   - no new patches have been added
   - the service is still managed by the init script
 * The above SRPM builds correctly in EPEL6

/jpo

[1] - I will try to submit a new update in a couple of days after reviewing the patches mentioned in the blog entry (see previous comment).
Comment 3 Fedora Update System 2012-07-01 17:52:53 EDT
nagios-3.4.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nagios-3.4.1-2.fc17
Comment 4 Fedora Update System 2012-07-01 17:56:42 EDT
nagios-3.4.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nagios-3.4.1-2.fc16
Comment 5 Fedora Update System 2012-07-01 17:58:09 EDT
nagios-3.4.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-3.4.1-2.el6
Comment 6 Fedora Update System 2012-07-02 18:26:00 EDT
Package nagios-3.4.1-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nagios-3.4.1-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10142/nagios-3.4.1-2.fc16
then log in and leave karma (feedback).
Comment 7 Nico Kadel-Garcia 2012-07-08 20:51:12 EDT
(In reply to comment #1)

> The Fedora update won't be trivial as we need to convert the init file to a
> systemd service file: we will probably need to ship both so that systemd can
> invoke the init for non standard commands (hint: see the current iptables
> setup) and also look into bug #782514.

The existing Fedora 17 version of nagios uses the init script for nagios-3.3.1. Let's not conflate the switch to systemd based init scripts with nnormal software updates, because it's going to continue to be tricky to switch live systems from one to the other, and it's going to be awkward to have SRPM's serve both for the foreseeable future.

> Also, we have to look into the patches available in the following blog
> entry: http://www.rebee.clara.net/blog/archives/2012/05/entry_198.html.

Be careful with those. They're applied on top of the nagios.spec file from Repoforge nagios-3.2.3. The EPEL version, which frankly I updated and submitted, is nagios-3.3.1, and would take some tuning to work from instead of the Repoforge release.
Comment 8 Fedora Update System 2012-07-10 16:49:31 EDT
nagios-3.4.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-07-10 16:58:44 EDT
nagios-3.4.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-07-19 18:38:26 EDT
nagios-3.4.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.